package com.katesoft.scale4j.web.model.embedded;

import com.katesoft.scale4j.web.model.UserLocale;
import org.hibernate.envers.Audited;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Embeddable;
import javax.persistence.ManyToOne;
import java.io.Serializable;

/**
 * This class can be used for storing user preferences.
 *
 * @author kate2007
 */
@Embeddable
@Audited
@Access(AccessType.FIELD)
public class UserPreferences implements Serializable
{
    // ***********************************************************************
    // ************************ persistent fields ****************************
    // ***********************************************************************
    @ManyToOne
    private UserLocale locale;
    // ***********************************************************************
    // ************************* (getters+setters) ***************************
    // ***********************************************************************

    public UserLocale getLocale()
    {
        return locale;
    }

    public void setLocale(final UserLocale locale)
    {
        this.locale = locale;
    }
}
